summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPrashanth Pai <ppai@redhat.com>2014-03-20 17:32:04 +0530
committerGerrit Code Review <review@dev.gluster.org>2014-03-26 08:23:37 -0700
commitf50cec44586e851c3d9e29dd59574696ae6f0c3a (patch)
treee385062ea53be9ad443e44531f8de9c67e12197d
parentdf17e0bc245ce3c7e58f384a3a2f6e02b999d50b (diff)
Fix minor typo in unit test
* Changed package to be covered from gluster to glusterfs. * Also, added script to run unit tests without tox. * Updated setup.py to be more specific. Change-Id: I148f522153b75f066753a807719e38699d48b1fd Signed-off-by: Prashanth Pai <ppai@redhat.com>
-rw-r--r--setup.py5
-rw-r--r--tools/test-requires5
-rwxr-xr-xunittests.sh24
3 files changed, 27 insertions, 7 deletions
diff --git a/setup.py b/setup.py
index e95068a..a098896 100644
--- a/setup.py
+++ b/setup.py
@@ -34,15 +34,14 @@ setup(
test_suite='nose.collector',
classifiers=[
'Development Status :: 5 - Production/Stable'
- 'Environment :: OpenStack'
- 'Intended Audience :: Information Technology'
- 'Intended Audience :: System Administrators'
+ 'Intended Audience :: Developers'
'License :: OSI Approved :: Apache Software License'
'Operating System :: POSIX :: Linux'
'Programming Language :: Python'
'Programming Language :: Python :: 2'
'Programming Language :: Python :: 2.6'
'Programming Language :: Python :: 2.7'
+ 'Topic :: System :: Filesystems'
],
install_requires=[],
scripts=[],
diff --git a/tools/test-requires b/tools/test-requires
index 2e47f19..7031033 100644
--- a/tools/test-requires
+++ b/tools/test-requires
@@ -1,7 +1,4 @@
-# Install bounded pep8/pyflakes first, then let flake8 install
-pep8==1.4.5
-pyflakes==0.7.2
-flake8==2.0
+# Hacking already pins down pep8, pyflakes and flake8
hacking>=0.5.6,<0.6
coverage
nose
diff --git a/unittests.sh b/unittests.sh
new file mode 100755
index 0000000..9da3643
--- /dev/null
+++ b/unittests.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Copyright (c) 2012-2014 Red Hat, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+cd $(dirname $0)/test/unit
+nosetests -v --exe --with-coverage --cover-package glusterfs --cover-erase --cover-html --cover-branches $@
+
+saved_status=$?
+rm -f .coverage
+exit $saved_status